package br.com.evologica.mvp.ui.login;

import javax.inject.Inject;

import br.com.evologica.mvp.data.DataManager;
import br.com.evologica.mvp.ui.base.BasePresenter;
import io.reactivex.disposables.CompositeDisposable;

/**
 * Created by marcussales on 01/03/2017.
 */

public class LoginPresenter<V extends LoginMvpView> extends BasePresenter<V> implements LoginMvpPresenter<V> {

    private static final String TAG = "LoginPresenter";

    @Inject
    public LoginPresenter(DataManager dataManager, CompositeDisposable compositeDisposable) {
        super(dataManager, compositeDisposable);
    }

    @Override
    public void onLogin(String email, String password){
        getDataManager().setLoggedIn();
        getMvpView().openMainActivity();
    }
}
